<?php
/**
 * Affiliate Leaderboard.
 *
 * This template can be overridden by copying it to yourtheme/slicewp/affiliate-leaderboard/affiliate-leaderboard.php.
 *
 * HOWEVER, on occasion SliceWP will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility.
 *
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

if ( empty( $args['data'] ) ) {

	?>
		<p>
			<?php echo __( 'Not enough data.', 'slicewp' ); ?>
		</p>
	<?php

	return;

}
?>

<table class="slicewp-affiliate-leaderboard">

	<thead>
		<tr>
			<th></th>
			<?php foreach ( $args['data_sets'] as $data_set_name ): ?>

				<th><?php echo $data_set_name; ?></th>

			<?php endforeach; ?>
		</tr>
	</thead>

	<tbody>

		<?php foreach ( $args['data'] as $key => $data_row ): ?>
			<tr>
				<td><?php echo( $key+1 ); ?></td>

				<?php foreach ( $args['data_sets'] as $data_key => $column ): ?>
			
					<td><?php echo $data_row[$data_key]; ?></td>

				<?php endforeach; ?>
			</tr>
		<?php endforeach; ?>

	</tbody>

</table>