<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Registers the "lead" commission type
 *
 * @param array $commission_types
 *
 * @return array
 *
 */
function slicewp_ldc_register_commission_type_lead( $commission_types ) {

	$commission_types['lead'] = array(
		'label' 	 => __( 'Lead', 'slicewp' ),
		'rate_types' => array( 'fixed_amount' )
	);

	return $commission_types;

}
add_filter( 'slicewp_register_commission_types', 'slicewp_ldc_register_commission_type_lead' );