<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Include integration specific files.
 *
 */
function slicewp_include_files_lifetime_commissions_tracking_gpd() {

	// Get dir path
	$dir_path = plugin_dir_path( __FILE__ );

	// Include hooks functions
	if ( slicewp_is_integration_active( 'gpd' ) && slicewp_is_integration_plugin_active( 'gpd' ) ) {

		if ( file_exists( $dir_path . 'class-integration-getpaid.php' ) ) {
			include $dir_path . 'class-integration-getpaid.php';
		}
		
	}

}
add_action( 'slicewp_include_files_late', 'slicewp_include_files_lifetime_commissions_tracking_gpd' );