<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Include integration specific files.
 *
 */
function slicewp_include_files_lifetime_commissions_tracking_surecart() {

	// Get dir path
	$dir_path = plugin_dir_path( __FILE__ );

	// Include hooks functions
	if ( slicewp_is_integration_active( 'surecart' ) && slicewp_is_integration_plugin_active( 'surecart' ) ) {

		if ( file_exists( $dir_path . 'class-integration-surecart.php' ) ) {
			include $dir_path . 'class-integration-surecart.php';
		}
		
	}

}
add_action( 'slicewp_include_files_late', 'slicewp_include_files_lifetime_commissions_tracking_surecart' );