<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

$affiliate = slicewp_get_affiliate( ( ! empty( $_GET['affiliate_id'] ) ? absint( $_GET['affiliate_id'] ) : 0 ) );
$parent_id = ( ! is_null( $affiliate ) ? $affiliate->get( 'parent_id' ) : 0 );

?>

<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

    <div class="slicewp-field-label-wrapper">
        <label for="slicewp-affiliate-parent-id"><?php echo __( 'Parent Affiliate', 'slicewp' ); ?></label>
    </div>

    <?php slicewp_output_select2_user_search( array( 'id' => 'slicewp-affiliate-parent-id', 'name' => 'parent_id', 'user_type' => 'affiliate', 'value' => $parent_id, 'is_disabled' => ( $form != 'review_affiliate' ? false : true ) ) ); ?>

</div>