<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div class="wrap slicewp-wrap slicewp-wrap-bonus-rewards">

	<form method="GET">

		<!-- Page Heading -->
		<h1 class="wp-heading-inline"><?php echo __( 'Performance Bonus Rewards', 'slicewp' ); ?></h1>
        <?php $this->output_title_actions(); ?>
		<hr class="wp-header-end" />

		<!-- Bonuses List Table -->
        <?php $rewards_count = slicewp_get_bonus_rewards( array(), true ); ?>

        <?php if ( ! empty( $rewards_count ) ): ?>

            <?php
                $table = new SliceWP_WP_List_Table_Bonus_Rewards();
                $table->display();
            ?>
        
        <?php else: ?>

            <div class="slicewp-items-view-blank-state">
				<?php echo slicewp_get_svg( 'outline-gift' ); ?>
				<h3 style="max-width: 575px;"><?php echo __( 'Once your affiliates will be rewarded for their performance, the rewards will appear here.', 'slicewp' ) ?></h3>
			</div>

        <?php endif; ?>

		<!-- Hidden fields needed for the search query -->
		<input type="hidden" name="page" value="slicewp-bonus-rewards">

	</form>

	<?php 

		/**
		 * Hook to add extra cards if needed.
		 *
		 */
		do_action( 'slicewp_view_bonus_rewards_bottom' );

	?>

</div>