<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div class="wrap slicewp-wrap slicewp-wrap-affiliate-groups">

	<form method="GET">

		<!-- Page Heading -->
		<h1 class="wp-heading-inline"><?php echo __( 'Affiliate Groups', 'slicewp' ); ?></h1>
		<a href="<?php echo add_query_arg( array( 'subpage' => 'add-affiliate-group' ), $this->admin_url ); ?>" class="page-title-action"><?php echo __( 'Add New Group', 'slicewp' ); ?></a>
		<hr class="wp-header-end" />

		<!-- Affiliate Groups List Table -->
		<?php 
			$table = new SliceWP_WP_List_Table_Affiliate_Groups();
			$table->views();
			$table->display();
		?>

		<!-- Hidden fields needed for the search query -->
		<input type="hidden" name="page" value="slicewp-affiliate-groups">

	</form>

	<?php 

		/**
		 * Hook to add extra cards if needed.
		 *
		 */
		do_action( 'slicewp_view_affiliate_groups_bottom' );

	?>

</div>