jQuery( function($) {

	/*
	 * Initialize jQuery sortable
	 *
	 */

	$( function() {
		$('.slicewp-asos-platforms').sortable({
			handle: '.slicewp-sort-handle',
			revert: 80,
			placeholder: 'slicewp-sort-placeholder',
			containment: '#wpwrap',
			stop : function() {

				var networks = [];
				i = 0;

				// Parse all the social networks
				$(this).children().each( function() {

					networks[i] = $(this).attr('data-platform');
					i++;

				});

				// Save the order of the social networks in the hidden input
				$('#slicewp-asos-platforms-order').val( networks );

			}
		});
	});

});