<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div class="wrap slicewp-wrap slicewp-wrap-leads">

	<form method="GET">

		<!-- Page Heading -->
		<h1 class="wp-heading-inline"><?php echo __( 'Leads', 'slicewp' ); ?></h1>
		<hr class="wp-header-end" />

		<!-- Leads List Table -->
		<?php 
			$table = new SliceWP_WP_List_Table_Leads();
			$table->views();
			$table->search_box( __( 'Search Leads', 'slicewp' ), 'lead_search' );
			$table->display();
		?>

		<!-- Hidden fields needed for the search query -->
		<input type="hidden" name="page" value="slicewp-leads">

	</form>

	<?php 

		/**
		 * Hook to add extra cards if needed
		 *
		 */
		do_action( 'slicewp_view_leads_bottom' );

	?>

</div>