<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

$active_tab = ( ! empty( $_GET['tab'] ) ? sanitize_text_field( $_GET['tab'] ) : 'details' );
$affiliate  = slicewp_get_affiliate( ! empty( $_GET['affiliate_id'] ) ? absint( $_GET['affiliate_id'] ) : 0 );

?>

<div id="slicewp-card-edit-affiliate-nav-tab-card" class="slicewp-card">

    <!-- Navigation Tab Links -->
    <ul class="slicewp-nav-tab-wrapper">
        
        <li class="slicewp-nav-tab <?php echo ( $active_tab == 'details' ? 'slicewp-active' : '' ); ?>" data-tab="details">
            <a href="#"><span class="dashicons dashicons-admin-users"></span><?php echo __( 'Affiliate Details', 'slicewp' ); ?></a>
        </li>
        
        <li class="slicewp-nav-tab <?php echo ( $active_tab == 'network' ? 'slicewp-active' : '' ); ?>" data-tab="network">
            <a href="#"><span class="dashicons dashicons-networking"></span><?php echo __( 'Affiliate Network', 'slicewp' ); ?></a>
        </li>

    </ul>

</div>

<div id="slicewp-affiliate-network-wrapper">

    <?php
    
        $tree_diagram = new SliceWP_Admin_Affiliates_Tree_Diagram();
        $tree_diagram->output( $affiliate );

    ?>

</div>