<?php
/**
 * Affiliate account tab: Network
 *
 * This template can be overridden by copying it to yourtheme/slicewp/affiliate-area/affiliate-account-tab-network.php.
 *
 * HOWEVER, on occasion SliceWP will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility.
 *
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

wp_enqueue_script( 'slicewp-multi-level-affiliates-script-front-end' );

$affiliate = slicewp_get_affiliate( slicewp_get_current_affiliate_id() );

// Include the invite link.
slicewp_get_template_part( 'affiliate-area/affiliate-network-invite-link' );

if ( empty( slicewp_get_affiliate_children( $affiliate, true ) ) ) {

    slicewp_get_template_part( 'affiliate-area/affiliate-no-network', null, array( 'affiliate' => $affiliate ) );

} else {

    slicewp_get_template_part( 'affiliate-area/affiliates-tree', null, array( 'affiliate' => $affiliate ) );

}