<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div id="slicewp-field-wrapper-payout-request-require-invoice" class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-tooltip-wide slicewp-last" style="display: none;">

    <div class="slicewp-field-label-wrapper">
        <label for="slicewp-payout-request-require-invoice">
            <?php echo __( 'Payout Request Invoice', 'slicewp' ); ?>
            <?php echo slicewp_output_tooltip( __( "If enabled, your affiliates will be required to upload an invoice when they make a payout request.", 'slicewp' ) ); // @todo - Add a learn more link to the documentation page. ?>
        </label>
    </div>

    <div class="slicewp-switch">

        <input id="slicewp-payout-request-require-invoice" class="slicewp-toggle slicewp-toggle-round" name="settings[payout_request_require_invoice]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['payout_request_require_invoice'] ) ? '1' : ( empty( $_POST ) ? slicewp_get_setting( 'payout_request_require_invoice' ) : '' ), '1' ); ?> />
        <label for="slicewp-payout-request-require-invoice"></label>

    </div>

    <label for="slicewp-payout-request-require-invoice"><?php echo __( 'Require affiliates to provide an invoice upon payout request.', 'slicewp' ); ?></label>

</div>