<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div class="slicewp-card">

    <div class="slicewp-card-inner">

        <div style="margin-bottom: 15px;"><?php echo sprintf( __( "You have a %s payout request waiting to be processed.", 'slicewp' ), slicewp_format_amount( $payment->get( 'amount' ), $payment->get( 'currency' ) ) ); ?></div>

        <a href="#" class="slicewp-button-cancel-payout-request" data-confirmation-message="<?php echo esc_html( __( "Are you sure you want to cancel your payout request?", 'slicewp' ) ); ?>" data-nonce="<?php echo esc_attr( wp_create_nonce( 'slicewp_cancel_payout_request' ) ); ?>" data-payment-id="<?php echo absint( $payment->get( 'id' ) ); ?>" data-affiliate-id="<?php echo absint( slicewp_get_current_affiliate_id() ); ?>"><?php echo __( 'Cancel request', 'slicewp' ); ?></a>

    </div>

</div>