<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

$balance = slicewp_get_affiliate_store_credit_balance( ( ! empty( $_GET['affiliate_id'] ) ? absint( $_GET['affiliate_id'] ) : 0 ) );

?>

<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

    <div class="slicewp-field-label-wrapper">
        <label for="slicewp-affiliate-store-credit-balance"><?php echo __( 'Store Credit Balance', 'slicewp' ); ?></label>
        <?php echo slicewp_output_tooltip( __( "The affiliate can use this credit towards purchases in your store.", 'slicewp' ) ); ?>
    </div>

    <div class="slicewp-field-currency-amount slicewp-flex">
        <div class="slicewp-field-currency-symbol"><?php echo slicewp_get_currency_symbol( slicewp_get_setting( 'active_currency', 'USD' ) ); ?></div>
        <input id="slicewp-affiliate-store-credit-balance" name="user_store_credit" type="number" step="0.01" value="<?php echo esc_attr( $balance ); ?>" />
    </div>

</div>